Subject: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET

From: Stefan Kangas <[email-masked]>
Date: Fri, 28 Aug 2020 10:55:39 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> In semantic-idle-summary-idle-function:
> cedet/semantic/idle.el:771:10: Warning: ‘eldoc-message’ is an obsolete
>     function (as of eldoc-1.1.0); use ‘eldoc-documentation-functions’ instead.
>
> In semantic-idle-summary-refresh-echo-area:
> cedet/semantic/idle.el:802:13: Warning: ‘eldoc-message’ is an obsolete
>     function (as of eldoc-1.1.0); use ‘eldoc-documentation-functions’ instead.
>
> I guess this is the result of João's changes in July?  I had a quick
> peek at how to fix it, but it wasn't immediately obvious to me.

Copying in João Távora in the hope that the fix will be immediately
obvious to him.